# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------
# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.

import datetime
import os

import tomli

year = datetime.date.today().year

config = os.path.dirname(__file__) + "/../pyproject.toml"
with open(config, mode="rb") as fd:
    about = tomli.load(fd)["project"]

# ------------------------------------------------------------------------------
# Project information
author = about["authors"][0]["name"]
copyright = f"Copyright {year}, {author}"
project = about["name"]
release = about["version"]

# ------------------------------------------------------------------------------
# General configuration
# ------------------------------------------------------------------------------
extensions = [
    "sphinx.ext.intersphinx",
    "sphinx_antsibull_ext",  # provides CSS for the plugin/module docs generated by antsibull
]

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ["*.inc.rst"]

source_suffix = ".rst"

intersphinx_mapping = {
    "ansible": ("https://docs.ansible.com/ansible/5/", (None, "ansible_5.inv")),
}

# ------------------------------------------------------------------------------
# Options for HTML output
# ------------------------------------------------------------------------------
try:
    import sphinx_rtd_theme

    html_theme = "sphinx_rtd_theme"
except:
    html_theme = "sphinx_ansible_theme"

html_static_path = ["static"]

# ------------------------------------------------------------------------------
# Misc
# ------------------------------------------------------------------------------
rst_prolog = r"""

"""


def setup(app):
    pass
